Bug 503908 - Incorrect representation of available subscriptions in Software Channel Entitlements page
Incorrect representation of available subscriptions in Software Channel Entit...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
https://rhn.redhat.com/rhn/channels/s...
US=89801
:
Depends On:
Blocks: rhn-sprint25
  Show dependency treegraph
 
Reported: 2009-06-03 06:26 EDT by Sebastian Skracic
Modified: 2009-08-10 09:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 09:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Skracic 2009-06-03 06:26:32 EDT
Description of problem:

For software channel families with unlimited number of available subscriptions (like those containing channels created by customers /custom channels/), the Software Channel Entitlements page shows negative count of available subscriptions instead of displaying 'unlimited'.  Note that ChildSubscriptions page in SSM shows the correct wording.


How reproducible:

Always.

Steps to Reproduce:
1.  Go to https://rhn.redhat.com/rhn/channels/software/Entitlements.do
2. Check for "Red Hat, Inc. GIS Serve To Support (xxxxxx) channel family"
3. Obtain the value in the 'Available Subscriptions' column
  
Actual results:

-2

Expected results:

unlimited
Comment 1 Sebastian Skracic 2009-06-03 06:29:20 EDT
Fixed in baf555631cd517519735086928eee193b7734e45.
Comment 2 Denise Hughes 2009-06-05 11:22:01 EDT
Verified in webdev.
Comment 3 Denise Hughes 2009-07-29 10:27:07 EDT
Verified in webqa.

Note You need to log in before you can comment on or make changes to this bug.